#pragma once
#include "pluginconstants.h"

class CLRSplitterFilter
{
public:
	CLRSplitterFilter(void);
	virtual ~CLRSplitterFilter(void);

protected:
	float sampleRate;
	float fc;

private:
	CBiQuad biQuadLP;
	CBiQuad biQuadHP;

public:
	void setSampleRate(float sr){sampleRate = sr;}
	void setFc(float f){fc = f;}

	void reset();
	void update();

	void doSplitFilter(float input, float& lowOuput, float& highOuput);

};
